vector File Reference

Go to the source code of this file.

## Classes

class | __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >
struct | std::hash< __debug::vector< bool, _Alloc > >
class | std::__debug::vector< _Tp, _Allocator >

## Namespaces

namespace | __gnu_debug
namespace | std
namespace | std::__debug
namespace | std::__detail

## Functions

template<typename _Tp, typename _Alloc>
constexpr __detail::__synth3way_t< _Tp > | std::__debug::operator<=> (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
template<typename _Tp, typename _Alloc>
constexpr bool | std::__debug::operator== (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp, typename _Alloc>
constexpr void | std::__debug::swap (vector< _Tp, _Alloc > &__lhs, vector< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)
template<typename _InputIterator, typename _ValT = typename iterator_traits<_InputIterator>::value_type, typename _Allocator = allocator<_ValT>, typename = _RequireInputIter<_InputIterator>, typename = _RequireAllocator<_Allocator>>
| std::__debug::vector (_InputIterator, _InputIterator, _Allocator=_Allocator()) -> vector< _ValT, _Allocator >
template<typename _Tp, typename _Allocator = allocator<_Tp>, typename = _RequireAllocator<_Allocator>>
| std::__debug::vector (size_t, _Tp, _Allocator=_Allocator()) -> vector< _Tp, _Allocator >

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug/vector.